/* eslint-disable @typescript-eslint/ban-ts-comment */
// @ts-check
import { defineConfig, envField } from 'astro/config';

import react from '@astrojs/react';
import tailwindcss from '@tailwindcss/vite';


// https://astro.build/config
export default defineConfig({
    integrations: [react({
        include: ['**/react/*']
    })],
    vite: {
        //@ts-ignore
        plugins: [tailwindcss({optimize:false})]
    },
    env: {
        schema: {
            TMDB_API_TOKEN: envField.string({ context: 'server', access: 'secret'}),
            TMDB_API_KEY: envField.string({context: "server", access: "secret"})
        }
    }
});